# Configure a default setup of Home Assistant (frontend, api, etc)
default_config:

logger:
  default: info

http:
  ip_ban_enabled: true
  login_attempts_threshold: 5
  use_x_forwarded_for: true
  trusted_proxies:
    - 192.168.0.30

homeassistant:
  allowlist_external_dirs:
    - /config

recorder:
  db_url: mysql://homeassistant:Parole3-Busboy-Distort@core-mariadb/homeassistant?charset=utf8mb4
  purge_keep_days: 14
  commit_interval: 10
  exclude:
    entity_globs:
      - weather.*
      - sensor.purity_*
      - sensor.*_uptime
      - camera.*
      - sensor.*load_speed
      - binary_sensor.*_presence_detect
      - sensor.*ghz_temperature*
      - sensor.*_tx*
      - sensor.*_rx*
      - sensor.*_summation_delivered_cost
      - sensor.*_voltage
      - sensor.*_ram
      - sensor.*_light_sensor
      - sensor.*dimm*temperature
      - sensor.*_temperature_*ghz
      - sensor.*_battery_temperature
      - sensor.*_wifi*
      - sensor.*_rssi*
      - sensor.*_disk_*
      - sensor.*_swap_*
      - sensor.alexa_*
    entities:
      - sun.sun
      - device_tracker.adri_s_gs22
      - device_tracker.adri_s_pixel_4a
      - light.minion_lcd_backlight
      - sensor.minion_s3_temperature

notify:  
- name: adris_mobile_devices
  platform: group
  services:
    - service: mobile_app_adri_s_pixel_4a
    - service: mobile_app_adri_s_gs22

alexa:
  endpoint: https://api.amazonalexa.com/v3/events
  client_id: amzn1.application-oa2-client.1f62328e4b76476d85571e45df1664f5
  client_secret: amzn1.oa2-cs.v1.250f686f55e8b50c2b2f459f27cdd83411df7660b4c02ddea667e82848035166
  smart_home:
    filter:
      include_entities: >
        {% for state in states %}
          {% if state.attributes.get('expose') %}
            - {{ state.entity_id }}
          {% endif %}
        {% endfor %}

google_assistant:
  project_id: hass-goog-0154f
  service_account: !include sa-hass.json
  report_state: true
  exposed_domains:
    # - lock
    # - camera
    - cover
    - scene
    - light
    # - switch
    # - climate
    # - humidifier
  entity_config:
    switch.servers_power_switch:
      expose: false
    switch.backyard_floodlight_motion_sensor_active:
      expose: false
    switch.basement_stairs:
      expose: false
    switch.basement_zigbee_repeater:
      expose: false
    switch.counter:
      expose: false
    switch.driveway_floodlights:
      expose: false
    switch.noah_s_room_9bb3_lock_puck:
      expose: false
    switch.paradigm_effect_direction:
      expose: false
    switch.paradigm_effect_play_pause:
      expose: false
    switch.paradigm_loop_effects:
      expose: false
    cover.parlor_blinds_1_cover:
      expose: false
    cover.parlor_blinds_2_cover:
      expose: false
    switch.purity_led_display:
      expose: false
    switch.purity_purity_filter_reset:
      expose: false
    switch.kitten_springs_do_not_disturb:
      expose: false
    switch.kitten_springs_light:
      expose: false
    switch.kitten_springs_power:
      expose: false


uniled:

zha:
  enable_quirks: true
  custom_quirks_path: /config/thirdreality_quirks

automation: !include automations.yaml
script: !include scripts.yaml
scene: !include scenes.yaml
